From 02f510153a252655da8fe11ab662f59bdf281a21 Mon Sep 17 00:00:00 2001
From: Matt Trzcinski <matt@excalamus.com>
Date: Fri, 23 Dec 2022 22:14:19 -0500
Subject: [PATCH 10/20] test-ob-shell.el: Refactor ob-shell/results-table

* test-ob-shell.el (ob-shell/results-table): Rename
`ob-shell/results-table' to `test-ob-shell/results-table'.
(ob-shell/results-table): Use `test-ob-shell-multiline-string' to
write source block on multiple lines.
---
 testing/lisp/test-ob-shell.el | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/testing/lisp/test-ob-shell.el b/testing/lisp/test-ob-shell.el
index d32cc9002..87a10eaa3 100644
--- a/testing/lisp/test-ob-shell.el
+++ b/testing/lisp/test-ob-shell.el
@@ -268,12 +268,15 @@ string. Bash cannot handle lists in associative arrays."
             (if (should (equal result expected))
                 (kill-matching-buffers (format "\\*tramp/mock\\s-%s\\*" system-name) t t)))))))
 
-(ert-deftest ob-shell/results-table ()
+(ert-deftest test-ob-shell/results-table ()
   "Test :results table."
   (should
    (equal '(("I \"want\" it all"))
           (org-test-with-temp-text
-              "#+BEGIN_SRC sh :results table\necho 'I \"want\" it all'\n#+END_SRC"
+              (test-ob-shell-multiline-string
+              "#+BEGIN_SRC sh :results table"
+              "echo 'I \"want\" it all'"
+              "#+END_SRC")
             (org-babel-execute-src-block)))))
 
 (ert-deftest ob-shell/results-list ()
-- 
2.38.1

